# Cancel a bill run Cancels a bill run. Only the bill run that has no posted invoices can be canceled. Endpoint: POST /bill_runs/{bill_run_id}/cancel Version: 2025-11-12 Security: bearerAuth ## Query parameters: - `fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, account_id, email, post, renew, batches, day_of_month, charges_excluded, invoice_date, email_zero_amount_invoices, target_date, bill_run_number, bill_run_time, invoices_sent, last_invoice_sent_time, accounts_processed, invoices_generated, credit_memos_generated, state, name Example: ["id,created_time"] - `expand[]` (array) Allows you to expand responses by including related object information in a single call. See the Expand responses section of the Quickstart API Tutorials for detailed instructions. - `filter[]` (array) A case-sensitive filter on the list. See the Filter lists section of the Quickstart API Tutorial for detailed instructions. Note that the filters on this operation are only applicable to the related objects. For example, when you are calling the "Retrieve a billing document" operation, you can use the filter[] parameter on the related objects such as filter[]=items[account_id].EQ:8ad09e208858b5cf0188595208151c63 - `page_size` (integer) The maximum number of results to return in a single page. If the specified page_size is less than 1 or greater than 99, Zuora will return a 400 error. - `bill_run.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, account_id, email, post, renew, batches, day_of_month, charges_excluded, invoice_date, email_zero_amount_invoices, target_date, bill_run_number, bill_run_time, invoices_sent, last_invoice_sent_time, accounts_processed, invoices_generated, credit_memos_generated, state, name Example: ["id,created_time"] ## Path parameters: - `bill_run_id` (string, required) Identifier for the bill run, either bill_run_number or bill_run_id ## Header parameters: - `zuora-track-id` (string) A custom identifier for tracking API requests. If you set a value for this header, Zuora returns the same value in the response header. This header enables you to track your API calls to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), or quote ('). - `async` (boolean) Making asynchronous requests allows you to scale your applications more efficiently by leveraging Zuora's infrastructure to enqueue and execute requests for you without blocking. These requests also use built-in retry semantics, which makes them much less likely to fail for non-deterministic reasons, even in extreme high-throughput scenarios. Meanwhile, when you send a request to one of these endpoints, you can expect to receive a response in less than 150 milliseconds and these calls are unlikely to trigger rate limit errors. If set to true, Zuora returns a 202 Accepted response, and the response body contains only a request ID. - `zuora-entity-ids` (string) An entity ID. If you have multi-entity enabled and the authorization token is valid for more than one entity, you must use this header to specify which entity to perform the operation on. If the authorization token is only valid for a single entity, or you do not have multi-entity enabled, you do not need to set this header. - `idempotency-key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. This idempotency key should be a unique value, and the Zuora server identifies subsequent retries of the same request using this value. For more information, see Idempotent Requests. - `accept-encoding` (string) Include a accept-encoding: gzip header to compress responses, which can reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes. For more information about this header, see Request and Response Compression. - `content-encoding` (string) Include a content-encoding: gzip header to compress a request. Upload a gzipped file for the payload if you specify this header. For more information, see Request and Response Compression. ## Response 200 fields (application/json): - `id` (string) Unique identifier for this object. - `updated_by_id` (string) Unique identifier of the Zuora user who last updated the object - `updated_time` (string) The date and time when the object was last updated in ISO 8601 UTC format. - `created_by_id` (string) Unique identifier of the Zuora user who created the object - `created_time` (string) The date and time when the object was created in ISO 8601 UTC format. - `custom_fields` (object) Set of user-defined fields associated with this object. Useful for storing additional information about the object in a structured format. - `custom_objects` (object) The custom objects associated with a Zuora standard object. - `account_id` (string) Identifier of the customer account to bill. - `email` (boolean) If set to true, invoices will be automatically emailed to customers. - `post` (boolean) Indicates whether to automatically post a billing document after it is created. - `renew` (boolean) If set to true, subscriptions will be automatically renewed. - `day_of_month` (string) The day of the month to bill multiple customer accounts. - `bill_run_number` (string) Human-readable identifier for this object. - `bill_run_time` (string) The date and time on which this bill run starts. - `invoice_date` (string) The date displayed on the invoice. Example: "2022-01-01" - `target_date` (string) All unbilled items on or before this date are included in this bill run. Example: "2023-01-01" - `state` (string) Status of the bill run. Enum: "processed", "pending", "completed", "canceled", "posted", "failed", "processing", "postInProgress", "cancelInProgress", "removeInProgress", "paused" - `batches` (string) Identifier of the customer account batch to be included in this bill run. - `charges_excluded` (string) Type of the charge to be excluded from the bill run. - `email_zero_amount_invoices` (boolean) If set to false, invoices for zero amounts will not be emailed to customers. - `invoices_sent` (boolean) Indicates whether the invoices have been automatically sent to customers. - `last_invoice_sent_time` (string) The date when the last invoice was sent. Example: "2023-01-01" - `accounts_processed` (integer) Number of accounts billed from this bill run. - `invoices_generated` (integer) Number of invoices generated from this bill run. - `credit_memos_generated` (integer) Number of credit memos generated from this bill run. - `name` (string) The name of the bill run. ## Response 400 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 401 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 404 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 405 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 429 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 500 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 502 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 503 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 504 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean)